dimnames.xgb.DMatrix {xgboost} | R Documentation

## Handling of column names of `xgb.DMatrix`

### Description

Only column names are supported for `xgb.DMatrix`, thus setting of row names would have no effect and returned row names would be NULL.

### Usage

    ## S3 method for class 'xgb.DMatrix'
    dimnames(x)

    ## S3 replacement method for class 'xgb.DMatrix'
    dimnames(x) <- value

### Arguments

`x` | object of class `xgb.DMatrix`
`value` | a list of two elements: the first one is ignored and the second one is column names

### Details

Generic `dimnames` methods are used by `colnames`. Since row names are irrelevant, it is recommended to use `colnames` directly.

### Examples

    data(agaricus.train, package='xgboost')
    train <- agaricus.train
    dtrain <- xgb.DMatrix(train$data, label=train$label)
    dimnames(dtrain)
    colnames(dtrain)
    colnames(dtrain) <- make.names(1:ncol(train$data))
    print(dtrain, verbose=TRUE)

[Package xgboost version 0.90.0.2 Index]